<?php
include("../config/conexion.php");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $carnet = $_POST['carnet'];

    // Prepara la consulta para obtener los datos de la cita
    $sql = "SELECT fecha, usuario, atendido, comentario FROM cita WHERE carnet = ?";
    $stmt = $conexion->prepare($sql);
    $stmt->bind_param('s', $carnet);
    $stmt->execute();
    $resultado = $stmt->get_result();

    if ($resultado->num_rows > 0) {
        $cita = $resultado->fetch_assoc();
        echo json_encode(['success' => true] + $cita);
    } else {
        echo json_encode(['success' => false, 'message' => 'Cita no encontrada']);
    }

    $stmt->close();
    $conexion->close();
}
?>
